/* ================================================================================================
 *   file   : general.css
 *   version: 2.5.10
 *   engine : template 03
 * ================================================================================================ */

/* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 *
 *   reset
 *
 * ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
h1 { font-size: 26px; }
h2 { font-size: 22px; }
h3 { font-size: 20px; }
h4 { font-size: 18px; }

hr {
	border-top: 1px solid #aaaaaa;
	border-bottom: 0;
}
a {
	text-decoration: none;
}
table {
	border-collapse: collapse;
}

/* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 *
 *   document
 *
 * ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
/* ---------------------
 * body
 * --------------------- */
body {
	margin: 0;
	background-color: #e9e9e9;
}
@media screen and (max-width: 360px) {
	body {
		background-color: #ffffff;
		background-image: none;
	}
}
/* ---------------------
 * scroll top button
 * --------------------- */
#cdt-scroll-top {
	position: fixed;
	display: none;
	bottom: 20px;
	right: 30px;
	padding: 6px 14px 10px 14px;
	line-height: 36px;
	font-size: 30px;
	color: #ffffff;
	cursor: default;
	border-radius: 4px;
	z-index: 100;
}
@media screen and (max-width: 800px) {
	#cdt-scroll-top { right: 10px; }
}
/* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 *
 *   header
 *
 * ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
/* ----------
 * icon bar
 * ---------- */
#hd0 {
	height: 30px;
	max-width: var(--pageWidth);
	margin: auto;
	padding-right: 20px;
	text-align: right;
}
@media screen and (max-width: 1400px) {
	#hd0 { display: none; }
}
.hd-icon {
	padding: 2px 4px;
	max-width: 26px;
	max-height: 26px;
	opacity: 0.5;
}
.hd-icon:hover {
	background-color: #bbbbbb;
	opacity: 1;
}
/* ---------------------------
 * banner in header / with ad
 * --------------------------- */
#hd-ad {
	max-width: var(--pageWidth);
	margin: auto;
}
#ad-banner {
	display: block;
	width: 100%;
	height: 100%;
	max-height: 200px;
	object-fit: contain;
}
/* -------------------------
 * banner in header / no ad
 * ------------------------- */
#hd1 {
	position: relative;
	max-width: var(--pageWidth);
	margin: auto;
}

#hd1-banner {
	position: absolute;
	width: 100%;
	height: 100%;
	object-fit: cover;
	object-position: left;
}
#hd-title {
	position: absolute;
	font-weight: bold;
}
#hd-subtitle {
	position: absolute;
}
#hd-wrap-logo {
	position: absolute;
}
#hd-logo {
	display: block;
	width: 100%;
	object-fit: contain;
}
/* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 *
 *   main nav  -->  horizontal
 *
 * ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
/* ----------------
 * desktop only
 * ---------------- */
nav {
	background-color: var(--color-prime);
}
#nv1 {
	max-width: var(--pageWidth);
	margin: auto;
	background-color: var(--color-prime);
}
.menu-item-block {
	display: inline-block;
}
.menu-item-block:hover .nav-item {
	background-color: var(--color-hover);				/* highlight menu (and submenu) hover */
}
/* --------------
 * desktop icons
 * -------------- */
#menu-icon-list {										/* button for side menu*/
	float: right;
}
#btn-lang-desktop {										/* button for language */
	display: inline-block;
}
/* -- parent site ---- */
#parent-site {											/* link to parent site */
	float: right;
}
#parent-site:hover {
	background-color: var(--color-hover);
}
@media screen and (max-width: 800px) {
	#parent-site { display: none; }
}

/* -----------------------------
 * horizontal visible on mobile
 * ----------------------------- */
#btn-lang-narrow {										/* button for language */
	float: right;
}
#btn-side-menu {										/* button for mobile menu */
	float: right;
}
/* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 *
 *   nav vertical  -->  mobile - left side
 *
 * ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
#side-nav {
	position: fixed;
	display: none;
	font-size: 20px;
	width: 200px;
	height: 100vh;
	overflow-y: auto;
	z-index: 1;
}
#side-menu-wrapper {
	margin-top: 50px;
}
.side-item {
	padding: 20px 20px;
}
/* -- icon list -- */
#side-nav-icon-list {
	margin: 25px 0 0 5px;
}
#btn-lang-mobile {
	display: inline-block;
}
/* -- parent link -- */
#side-nav-parent-site {
	position: absolute;
	bottom: 70px;
	left: 5px;
}
/* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 *
 *   section
 *
 * ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
section {
	position: relative;
	max-width: var(--pageWidth);
	margin: auto;
	padding: 0 10px;
	line-height: 1.4;
}
@media screen and (max-width: 800px) {
	section {
		padding: 0;
	}
}
/* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 *
 *   language menu
 *
 * ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
#menu-language {
	display: none;						/* shown by js */
	position: absolute;					/* relative to <section> */
	background-color: #bbbbbb;
	border: 1px solid #555555;
	border-top: 8px solid var(--color-prime);
	z-index: 1;
}
#menu-language a {
	color: #003030;
}
#menu-language a:hover {
	color: #000000;
	text-decoration-line: none;
}
.menu-lang-item {
	padding: 6px 20px 6px 10px;
}
.menu-lang-item:hover {
	background-color: #999999;
}
.menu-lang-mark {
	display: inline-block;
	width: 10px;
}
/* --------------------------
 *  screen size
 * -------------------------- */
@media screen and (min-width: 1341px) {
	#menu-language { right: 155px; top: 1px; }
}
@media screen and (max-width: 1340px) {
	#menu-language { right: 146px; top: 1px; }
}
@media screen and (max-width: 1000px) {
	#menu-language { right: 190px; }
}
@media screen and (max-width: 800px) {
	#menu-language {
		width: 180px;
		right: 238px;
	}
	.menu-lang-item {
		font-size: 23px;
		line-height: 45px;
		padding: 8px 20px; 
	}
	.menu-lang-mark {
		width: 20px;
	}
}
@media screen and (max-width: 600px) {
	#menu-language { right: 60px; top: 2px; }
}

/* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 *
 *    article
 *
 * ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
article {
	background-color: #ffffff;
	margin: 34px 0 40px 0;
	padding: 30px;
}
.article-left {
	display:inline-block;
	width: calc(100% - 440px);
}
/* ---------------------------------- */
@media screen and (max-width: 1330px) {
	article       { padding: 20px; }
	.article-left { width: calc(100% - 420px); }
}
@media screen and (max-width: 1200px) {
	article       { padding: 20px 10px; }
	.article-left { width: calc(100% - 400px); }
}
@media screen and (max-width: 1000px) {
	article {
		min-height: 800px;
	}
	.article-left {
		box-sizing: border-box;
		width: 100%;
	}
}
@media screen and (max-width: 800px) {
	article {
		margin-top: 0px;
		margin-bottom: 70px;
		padding: 10px;
	}
}
@media screen and (max-width: 500px) {
	article      { padding: 10px 7px; }
}

/* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 *
 *  article banner
 *
 * ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
/* --------------------------
 * my promo
 * or fallback when no ads
 * -------------------------- */
#art-top {
	position: relative;
	height: 100px;
	box-sizing: border-box;
	overflow: hidden;
}
#art-top-msg {
	position: absolute;
	top: 25px;
	right: 15px;
	text-align: right;
}
#art-top-tagline {
	margin-top: -5px;
}
@media screen and (max-width: 500px) {
	#art-top         { height: 90px;     }
	#art-top-img     { display: none;    }
	#art-top-msg     { top: 22px;        }
	#art-top-logo    { width: 155px;     }
	#art-top-tagline { margin-top: -8px; }
}
/* --------------------------
 * with ads
 * -------------------------- */
#art-banner {
}
#art-banner img {
	display: block;
	width: 100%;
	height: 100%;
	max-height: 100px;
	object-fit: contain;
}

/* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 *
 *   aside ads
 *
 * ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
aside {
	float: right;
	margin-top: 6px;
	margin-bottom: 30px;
	max-width: 360px;
	width: 360px;
	vertical-align: top;
}
.aside-block {
	width: 360px;
	box-sizing: border-box;
	margin-top: 28px;
	padding: 15px;
	background-color: #ffffff;
	border-top: 8px solid var(--color-prime);
}
.aside-info{
	position: relative;
	min-height: 100px;
}
/* ---------------------------------- */
@media screen and (max-width: 1000px) {
	aside {
		float: none;
		margin-left: auto;
		margin-right: auto;
		max-width: 100%;
	}
	.aside-block {
		width: 100%;
		margin-top: 0;
		margin-bottom: 30px;
	}
}
@media screen and (max-width: 800px) {
	aside {
		margin-bottom: 75px;
	}
	h3 {
		margin-top: 10px;
	}
}
@media screen and (max-width: 360px) {
	aside img    { max-width: 100%; }
}


/* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 *
 *   footer
 *
 * ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
footer {
	padding: 15px 10px 20px 10px;
	clear: right;
}
#ft-container {
	max-width: var(--pageWidth);
	margin: 0 auto 0 auto;
	text-align: center;
}
#ft-soc-media {
	margin-top: 5px;
	margin-bottom: 10px;
}
.ft-soc-logo {
	vertical-align: bottom;
	padding: 5px;
	width: 40px;
	height: 40px;
	border-radius: 5px;
}
.ft-soc-logo:hover {
	background-color: var(--color-hover)
}
/* ------------------
 * icon bar 2
 * ------------------ */
#ft-iconbar {
	margin: auto;
	text-align: center;
}
.ft-icon {
	padding: 2px 5px;
	max-width: 26px;
	max-height: 26px;
	opacity: 0.5;
}
.ft-icon:hover {
	background-color: #bbbbbb;
	opacity: 1;
}

/* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 *
 *   under
 *
 * ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
#under {
	display: flex;
	justify-content: center;
	gap: 30px;
	line-height: 1.44;
	font-size: 18px;
}
#under a {
	text-decoration-line: none;
}
.under-block {
	min-width: 160px;
	padding: 10px 20px;
	text-align: left;
}
.under-block-title {
	margin-bottom: 5px;
	font-weight: bold;
}
.ft-menu {
}
.ft-menu-item {
}
/* ------------------------------------ */
@media screen and (max-width: 1000px) {
	.under-block {
		min-width: 125px;
		padding: 10px 15px 10px 15px;
	}
}
@media screen and (max-width: 800px) {
	#under {
		flex-wrap: wrap;
		gap: 20px;
	}
	.under-block {
		min-width: 20%;
		padding: 10px 60px;
	}
}
@media screen and (max-width: 590px) {
	.under-block {
		min-width: 125px;
		padding: 10px 30px;
	}
}
@media screen and (max-width: 430px) {
	#under {
		gap: 0;
		justify-content: space-between; 
	}
	.under-block {
		min-width: 40%;
		padding: 20px 20px;
	}
}
@media screen and (max-width: 350px) {
	#under {
		display: block;
		padding: 10px 0;
	}
	.under-block {
		margin: auto;
		max-width: 330px;
	}
	.under-block-title {
		max-width: 160px;
	}
}

